Bug 181016 - Nash's showlabels disappeared - changes in grub.conf
Nash's showlabels disappeared - changes in grub.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-11 13:22 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.0.22-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 07:27:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-02-11 13:22:35 EST
Description of problem:
The kernel line of my grub.conf changed at memtest update with using latest 
mkinitrd, because showlabels disappeared:

--- /etc/grub.conf.rsc   2005-12-24 14:44:50.000000000 +0100
+++ /etc/grub.conf       2006-02-11 18:38:30.000000000 +0100
@@ -16,4 +16,4 @@
        initrd /initrd-2.6.14-2smp.img
 title Memtest86+ (1.65)
        root (hd0,0)
-       kernel /memtest86+-1.65 ro root=LABEL=/
+       kernel /memtest86+-1.65 ro root=/dev/cciss/c0d0p2

Version-Release number of selected component (if applicable):
mkinitrd-5.0.21-1

How reproducible:
echo "showlabels" | /sbin/nash  --force --quiet

Actual results:
No showlabels, but /sbin/new-kernel-pkg and /sbin/new-memtest-pkg are using
the command...

Expected results:
I dunno what's the best solution for, but a fix for getting working label 
support again would be nice ;-)

Additional info:
[19:00:20] < rsc> pjones: is there a special reason for removing "showlabels" 
command from nash in mkinitrd, but leaving it in /sbin/new-kernel-pkg and /sbin/
new-memtest-pkg?
[19:01:43] < pjones> rsc: eeek, an awful oversight
[19:01:46] < rsc> pjones: is LABEL getting obsolete for mkinitrd?
[19:02:08] < rsc> pjones: btw, man page also contains showlabels ;)
[19:02:34] < pjones> no.
[19:02:45] < pjones> yeah, the man page is horribly wrong about many things.
[19:03:55] < rsc> is the following change correct?
[19:03:55] < rsc> -       kernel /memtest86+-1.65 ro root=LABEL=/
[19:03:55] < rsc> +       kernel /memtest86+-1.65 ro root=/dev/cciss/c0d0p2
[19:04:06] < pjones> hrm.  show labels should actually be easy to put back now.
[19:04:22] < rsc> while updating from mkinitrd .17 to .21
[19:04:28] < pjones> rsc: change to... grub.conf ?
[19:04:33] < rsc> yes
[19:04:47] < pjones> it should work, but then both ways should work.
[19:05:08] * pjones wonders if libblkid needs to be fixed to grok cciss/sx8/etc-
style paths.
[19:05:51] < rsc> pjones: should I open a bug report?
[19:05:58] < pjones> yes.
[19:06:00] < pjones> thank you ;)
[19:06:23] < rsc> pjones: against what? mkinitrd or e2fsprogs?
[19:06:53] < pjones> mkinitrd will be fine
[19:07:10] * pjones will most likely get to fix it either way ;)
[19:10:34] < pjones> rsc: you don't happen to know off the top of your head when 
showlabels dissapeared, do you?
[19:11:35] < pjones> nm, found it.
[19:12:43] < rsc> pjones: .17 to .21

Note You need to log in before you can comment on or make changes to this bug.